org.apache.cassandra.db.partitions

## Interface PartitionStatisticsCollector

- All Known Implementing Classes:
    EncodingStats.Collector, MetadataCollector

      public interface PartitionStatisticsCollector

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(Cell cell)`
    `void` | `update(DeletionTime deletionTime)`
    `void` | `update(LivenessInfo info)`
    `void` | `updateColumnSetPerRow(long columnSetInRow)`
    `void` | `updateHasLegacyCounterShards(boolean hasLegacyCounterShards)`

- - ### Method Detail

    - #### update

          void update(LivenessInfo info)

    - #### update

          void update(DeletionTime deletionTime)

    - #### update

          void update(Cell cell)

    - #### updateColumnSetPerRow

          void updateColumnSetPerRow(long columnSetInRow)

    - #### updateHasLegacyCounterShards

          void updateHasLegacyCounterShards(boolean hasLegacyCounterShards)

Copyright © 2018 The Apache Software Foundation